{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function dialog_box, set_property, msg\r\n$insert msg_equates\r\n$insert quote_spec_equ\r\n\r\nSignatureInfo = xlate( 'CONFIG', 'QUOTE_SIGS', '', 'X' )\r\nUsers           = SignatureInfo<1>\r\nlocate @user4 in Users using @vm setting Fpos then\r\n\tEpiInfo       = .spec_epi->text\r\n\tSubstrateInfo = .spec_substrate->text\r\n\tHoldVar = SubstrateInfo:char(244):EpiInfo \r\n\tReturnVal = dialog_box( 'QUOTE_SPEC_INFO', @window, '':char(244):SubstrateInfo:char(244):EpiInfo )\r\n\tif ReturnVal <> '' and ReturnVal <> 'CANCEL' and ReturnVal <> HoldVar then\r\n\t\tconvert char(244) to @fm in ReturnVal\r\n\t\tSubstrateInfo = ReturnVal<1>\r\n\t\tEpiInfo       = ReturnVal<2>\r\n\t\t.spec_epi->text = EpiInfo\r\n\t\t.spec_substrate->text = SubstrateInfo\r\n\t    .wafer_desc->text = SubstrateInfo<1,QSSubWaferSize$>:' ':SubstrateInfo<1,QSSubOrientation$>\r\n\t    @@window->savewarn = 1\r\n\tend\r\nend else\r\n    MsgInfo = ''\r\n\tTtext = 'You do not have proper security to view/edit spec and substrate information...'\r\n\tMsgInfo<mtext$> = Ttext\r\n\tMsgInfo<micon$> = 'H'\r\n\tVoid = msg( '', MsgInfo )\r\n\treturn 0\r\nend\r\nRETURN 0"
        }
    }
}